# SM11 - List service models

Call Frequency

Recommended usage: - Asynchronous: once per day - Synchronous: at each faceting display
Maximum usage: - Asynchronous: every hour - Synchronous: at each faceting display
Read More

More contextPagination

This resource supports seek pagination (see documentation)

Sort fields

sort field can have the following values:title - Sort by title (asc by default)code (Default) - Sort by code (asc by default)

Endpoint: GET /api/mms/models

## Query parameters:

  - `category_code` (array)
    Category codes to include in result. (default: include all)

  - `model_code` (array)
    Model codes to include in result. (default: include all)

  - `location_type` (array)
    Location types to include in result. (default: include all)
    Enum: "NO_LOCATION", "AT_CUSTOMER_LOCATION", "AT_SHOP_LOCATION"

  - `booking_type` (array)
    Booking types to include in result. (default: include all)
    Enum: "NO_BOOKING", "DATETIME_REQUEST", "SCHEDULED_EVENTS"

  - `consumption_type` (array)
    Consumption types to include in result. (default: include all)
    Enum: "VOUCHER", "CONFIRMATION_BY_SHOP"

## Response 200 fields (application/json):

  - `data` (array, required)
    Page of data

  - `data.booking` (object, required)
    Indicates the booking method for services based on the model

  - `data.booking.type` (string, required)
    Booking type

Enum: "NO_BOOKING", "DATETIME_REQUEST", "SCHEDULED_EVENTS"

  - `data.categories` (array, required)
    Service model categories

  - `data.categories.code` (string, required)
    Category code

  - `data.categories.label` (string, required)
    Category label

  - `data.code` (string, required)
    Service model code

  - `data.consumption` (object, required)
    Indicates the consumption method for services based on the model

  - `data.consumption.type` (string, required)
    Consumption type

Enum: "VOUCHER", "CONFIRMATION_BY_SHOP"

  - `data.custom_attributes` (array, required)
    Service model custom attributes. The list is ordered as configured by the operator.
    Example: [{"code":"DISABLED_ACCESSIBILITY","label":"Accessible to disabled","service_configuration":{"minimum_number_of_elements":1},"type":"BOOLEAN"}]

  - `data.custom_attributes.code` (string, required)
    Custom attribute code
    Example: "DISABLED_ACCESSIBILITY"

  - `data.custom_attributes.label` (string, required)
    Custom attribute label
    Example: "Accessible to disabled"

  - `data.custom_attributes.order_configuration` (object)
    Custom attribute order configuration. Absent when the attribute is not applicable to orders.

  - `data.custom_attributes.order_configuration.maximum_number_of_elements` (integer)
    Maximum number of elements. Present only for ValueLists. Absent when no limit.

  - `data.custom_attributes.order_configuration.shop_permission` (string, required)
    Determines how Shops are allowed to use the custom attribute

Enum: "INVISIBLE", "READ_ONLY", "READ_WRITE"

  - `data.custom_attributes.service_configuration` (object)
    Custom attribute service configuration. Absent when the attribute is not applicable to services.
    Example: {"minimum_number_of_elements":1}

  - `data.custom_attributes.service_configuration.maximum_number_of_elements` (integer)
    Maximum number of elements. Present only for ValueLists. Absent when no limit.

  - `data.custom_attributes.service_configuration.minimum_number_of_elements` (integer, required)
    Minimum number of elements. Equals to 0 if element is optional.
    Example: 1

  - `data.custom_attributes.type` (string, required)
    Custom attribute type

Enum: "BOOLEAN", "DATE_TIME", "INTEGER", "DECIMAL", "TEXT", "LONG_TEXT", "VALUE_LIST", "LINK", "VIDEO"
    Example: "BOOLEAN"

  - `data.description` (string)
    Service model description

  - `data.location` (object, required)
    Indicates the location method for services based on the model

  - `data.location.type` (string, required)
    Location type

Enum: "NO_LOCATION", "AT_CUSTOMER_LOCATION", "AT_SHOP_LOCATION"

  - `data.pricing` (object, required)
    Indicates the pricing method for services based on the model

  - `data.pricing.options` (array)
    Service model pricing options. The list is ordered as configured by the operator.

  - `data.pricing.options.code` (string, required)
    Option code

  - `data.pricing.options.label` (string, required)
    Option label

  - `data.pricing.options.order_configuration` (object)
    Option order configuration

  - `data.pricing.options.order_configuration.maximum_number_of_elements` (integer)
    Maximum number of selectable elements. Present only for value lists. Absent when no limit.

  - `data.pricing.options.type` (string)
    Enum: "BOOLEAN", "DATE_TIME", "INTEGER", "DECIMAL", "TEXT", "LONG_TEXT", "VALUE_LIST", "LINK", "VIDEO"

  - `data.pricing.price_per_unit_options` (array)
    Service model price per unit options. Always present if pricing is multi price.

  - `data.pricing.price_per_unit_options.code` (string, required)
    Code

  - `data.pricing.price_per_unit_options.label` (string, required)
    Label

  - `data.pricing.price_per_unit_options.order_configuration` (object)

  - `data.pricing.price_per_unit_options.order_configuration.minimum_number_of_elements` (integer, required)
    Minimum number of elements.

Enum: "1"

  - `data.pricing.price_per_unit_options.service_configuration` (object)

  - `data.pricing.price_per_unit_options.service_configuration.minimum_number_of_elements` (integer, required)
    Minimum number of elements.

Enum: "1"

  - `data.pricing.price_per_unit_options.type` (string, required)
    Enum: "VALUE_LIST"

  - `data.pricing.price_per_unit_options.values` (array, required)
    Values of the list

  - `data.pricing.price_per_unit_options.values.code` (string, required)
    Code

  - `data.pricing.price_per_unit_options.values.label` (string, required)
    Label

  - `data.pricing.type` (string, required)
    Pricing typeWhen the price type is FIXED_PRICE, the price defined when placing an order is final. The price cannot be modified.When the price type is ESTIMATED_PRICE, the price can be negotiated between the seller and the customer. The price can be updated by editing the pricing options of the order.When the price type is FIXED_PRICE_MULTI, the price defined when placing an order is final. The price cannot be modified. The price has multiple possibilities.When the price type is ESTIMATED_PRICE_MULTI, the price can be negotiated between the seller and the customer. The price can be updated by editing the pricing options of the order. The price has multiple possibilities.

Enum: "FIXED_PRICE", "ESTIMATED_PRICE", "FIXED_PRICE_MULTI", "ESTIMATED_PRICE_MULTI"

  - `data.quantity` (object, required)
    Indicate the quantity fields requirements for services based on the model

  - `data.quantity.on_marketplace` (array, required)
    Quantity requirements on the marketplace

  - `data.quantity.per_order` (array, required)
    Quantity requirements per order

  - `data.title` (string, required)
    Service model title

  - `next_page_token` (string)
    Token to access the next page. Absent if the current page is the last one.

  - `previous_page_token` (string)
    Token to access the previous page. Absent if the current page is the first one.


